QueryParserConstants (Lucene 10.5.1 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.classic, interface: QueryParserConstants

Package org.apache.lucene.queryparser.classic

# Interface QueryParserConstants

All Known Implementing Classes:
  `ComplexPhraseQueryParser`, `ExtendableQueryParser`, `MultiFieldQueryParser`, `QueryParser`, `QueryParserTokenManager`

public interface QueryParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `_ESCAPED_CHAR`
  RegularExpression Id.
  `static final int`
  `_NUM_CHAR`
  RegularExpression Id.
  `static final int`
  `_QUOTED_CHAR`
  RegularExpression Id.
  `static final int`
  `_TERM_CHAR`
  RegularExpression Id.
  `static final int`
  `_TERM_START_CHAR`
  RegularExpression Id.
  `static final int`
  `_WHITESPACE`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `BAREOPER`
  RegularExpression Id.
  `static final int`
  `Boost`
  Lexical state.
  `static final int`
  `CARAT`
  RegularExpression Id.
  `static final int`
  `COLON`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `FUZZY_SLOP`
  RegularExpression Id.
  `static final int`
  `LPAREN`
  RegularExpression Id.
  `static final int`
  `MINUS`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NUMBER`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `PLUS`
  RegularExpression Id.
  `static final int`
  `PREFIXTERM`
  RegularExpression Id.
  `static final int`
  `QUOTED`
  RegularExpression Id.
  `static final int`
  `Range`
  Lexical state.
  `static final int`
  `RANGE_GOOP`
  RegularExpression Id.
  `static final int`
  `RANGE_QUOTED`
  RegularExpression Id.
  `static final int`
  `RANGE_TO`
  RegularExpression Id.
  `static final int`
  `RANGEEX_END`
  RegularExpression Id.
  `static final int`
  `RANGEEX_START`
  RegularExpression Id.
  `static final int`
  `RANGEIN_END`
  RegularExpression Id.
  `static final int`
  `RANGEIN_START`
  RegularExpression Id.
  `static final int`
  `REGEXPTERM`
  RegularExpression Id.
  `static final int`
  `RPAREN`
  RegularExpression Id.
  `static final int`
  `STAR`
  RegularExpression Id.
  `static final int`
  `TERM`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `WILDTERM`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### _NUM_CHAR

    static final int _NUM_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ESCAPED_CHAR

    static final int _ESCAPED_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _TERM_START_CHAR

    static final int _TERM_START_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _TERM_CHAR

    static final int _TERM_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WHITESPACE

    static final int _WHITESPACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _QUOTED_CHAR

    static final int _QUOTED_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLUS

    static final int PLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUS

    static final int MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BAREOPER

    static final int BAREOPER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LPAREN

    static final int LPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RPAREN

    static final int RPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLON

    static final int COLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STAR

    static final int STAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CARAT

    static final int CARAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED

    static final int QUOTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TERM

    static final int TERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FUZZY_SLOP

    static final int FUZZY_SLOP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PREFIXTERM

    static final int PREFIXTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WILDTERM

    static final int WILDTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGEXPTERM

    static final int REGEXPTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEIN_START

    static final int RANGEIN_START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEEX_START

    static final int RANGEEX_START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NUMBER

    static final int NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE_TO

    static final int RANGE_TO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEIN_END

    static final int RANGEIN_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGEEX_END

    static final int RANGEEX_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE_QUOTED

    static final int RANGE_QUOTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE_GOOP

    static final int RANGE_GOOP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### Boost

    static final int Boost
    Lexical state.
    See Also:
      - Constant Field Values

  - ### Range

    static final int Range
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.